Skip to main content
POST
/
v1
/
tiktok
/
video
/
details
Video Details
curl --request POST \
  --url https://api.agntdata.dev/v1/tiktok/video/details \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_id": "7149284958899785006"
}
'
{
  "video_id": "7149284958899785006",
  "details": {
    "video_id": "7149284958899785006",
    "description": "Want to work with me? Duet and show me what you got. #ziprecruiterpartner #putziprecruitertoworkforyou ",
    "create_time": "1664572629",
    "author": "mrbeast",
    "author_id": "6614519312189947909",
    "author_name": "MrBeast",
    "statistics": {
      "number_of_comments": 4004,
      "number_of_hearts": 236100,
      "number_of_plays": 2100000,
      "number_of_reposts": 732
    },
    "cover": "https://p19-sign.tiktokcdn-us.com/obj/tos-useast5-p-0068-tx/c2357b5cea4d4ab7a94a563a6ea2e212_1664572630?x-expires=1664665200&x-signature=o%2BjEfPOqRL1zZqh%2B2nopf%2BQRRVw%3D",
    "download_url": "https://v16m-webapp.tiktokcdn-us.com/97435d44942ade1d02f84827234e1ab1/6338cb52/video/tos/useast5/tos-useast5-ve-0068c003-tx/0f32e50b0d5b482f89f9dcc8bc4b2423/?a=1988&ch=0&cr=0&dr=0&lr=tiktok_m&cd=0%7C0%7C1%7C0&cv=1&br=2490&bt=1245&cs=0&ds=3&ft=ebtHKH-qMyq8ZjULDhe2N5aRfl7Gb&mime_type=video_mp4&qs=0&rc=ZDtoNWgzOjQ3M2VnZmVmNEBpM2xycTk6Zm1vZjMzZzczNEBgNS4wYGEyNmIxYzNeMjZjYSNmby9xcjRnam9gLS1kMS9zcw%3D%3D&l=20221001172034DE163AD3D81E532B166E",
    "video_definition": "720p",
    "format": null,
    "bitrate": 1275084,
    "duration": 17,
    "avatar_thumb": "https://p16-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/54435a1ec165931f60f2a3872de74aa5~c5_100x100.jpeg?x-expires=1664816400&x-signature=NntizmoVL68NAjoz6%2Bqy6nij3P8%3D"
  }
}

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Body

application/json

Schema Class for a Tiktok Video Details

video_id
string
required

Response

Successful Response

video_id
string
details
object